using cuqmbr.TravelGuide.Domain.Enums;

namespace cuqmbr.TravelGuide.Domain.Entities;

public sealed class Address : EntityBase
{
    public string Name { get; set; }

    // TODO: Implement coordinates using NetTopologySuite
    // public double Longitude { get; set; }
    //
    // public double Latitude { get; set; }

    // public VehicleType VehicleType { get; set; }


    public long CityId { get; set; }

    public City City { get; set; }


    public ICollection<RouteAddress> AddressRoutes { get; set; }
}

