using cuqmbr.TravelGuide.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace cuqmbr.TravelGuide.Persistence.PostgreSql.Configurations;

public class RouteConfiguration : BaseConfiguration<Route>
{
    public override void Configure(EntityTypeBuilder<Route> builder)
    {
        builder
            .ToTable("routes");

        base.Configure(builder);


        builder
            .Property(r => r.Name)
            .HasColumnName("name")
            .HasColumnType("varchar(64)")
            .IsRequired(true);

        // builder
        //     .Property(r => r.VehicleType)
        //     .HasColumnName("vehicle_type")
        //     .HasColumnType($"{PostgreSqlDbContext.DefaultSchema}.vehicle_type")
        //     .HasConversion<VehicleTypeConverter>()
        //     .IsRequired(true);
    }
}
